DescribePrivateZoneRecords

1. API Description

This API (DescribePrivateZoneRecords) is used to Query the list of DNS records of a DNS Zone.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

DNS Zone ID.

recordIds

No

Array of String

Filter by DNS record ID.

recordName

No

String

Filter by host record.

type

No

Filter by DNS record type.

line

No

String

Filter by the DNS line.

'default' is the default, i.e., Global.

You can also specify a region ID, such as asia-east-1.

status

No

Filter by DNS record state.

value

No

String

Filter by record value.

pageSize

No

Integer

The returned page size. Default value: 20; Maximum value: 1000.

Value range: [1, 1000]

pageNum

No

Integer

The number of pages returned.

Value range: [1, +)

Default value: 1

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

The total number of DNS records of the DNS Zone that meet the filtering conditions.

dataSet

Returned DNS record list data of the DNS Zone.

4. Code Example

Query the DNS records under a certain DNS Zone.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRIVATE_ZONE_NOT_FOUND

DNS Zone does not exist.

Last updated